Subject: Re: [PATCH/RFC] remove #!interpreter line from shell libraries

From: Clemens Buchacher <[email-masked]>
Date: Mon, 12 Mar 2012 22:38:47 +0100

On Mon, Mar 12, 2012 at 12:50:15PM -0700, Junio C Hamano wrote:
> 
> > On 12-03-09 02:58 AM, Clemens Buchacher wrote:
> >> 
> >> On Thu, Mar 08, 2012 at 06:14:04AM -0600, Jonathan Nieder wrote:
> >>>
> >>> -#!/bin/sh
> >>> -# git-mergetool--lib is a library for common merge tool functions
> >>> +# git-mergetool--lib is a shell library for common merge tool functions
> >> 
> >> This breaks vim's filetype detection. It can still guess the file type
> >> from the .sh extension, but we strip the extension during the build.
> 
> Then that _is_ a feature to make it more obvious that the file is
> not something you should be editing, no?

If that really is an issue, then we should make it write-protected.
Syntax highlighting is primarily useful for reading.